import { useState, useEffect, useCallback } from 'react';
export const createStoreHook = (store) => (key) => {
    const [value, setValue] = useState();
    const setter = useCallback((newValue) => store.set(key, newValue), [
        key,
    ]);
    useEffect(() => {
        const subscription = store.subscribe(key, { next: setValue });
        return () => subscription.unsubscribe();
    }, [key, setValue]);
    return [value, setter];
};
//# sourceMappingURL=hook.js.map